package graphql

import (
	"github.com/gshopify/service-wrapper/model"
	"gshopper.com/gshopify/customer/graphql/generated"
)

func NewMetafield(key string, value any, t model.MetaFieldType) *generated.Metafield {
	m := &generated.Metafield{
		Namespace: "customer",
		Key:       key,
		Value:     model.MetaFieldValue(t, value),
		Type:      t.String(),
	}

	return m
}
